> For the complete documentation index, see [llms.txt](https://docs.carbondefi.xyz/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.carbondefi.xyz/contracts-and-functions/carboncontroller-functions/write-functions/strategy-management.md).

# Strategy Management

Every strategy on Carbon DeFi comprises two reciprocal connected Orders. Each Order is a standing offer to trade one token for another, at a set price or price range.  For example in a Strategy with one Order to sell WBTC to buy ETH, the other order would be to sell ETH to buy WBTC. Note that it is also possible to create disposable strategies that function as a one-way limit order.&#x20;

Each Order describes the prices and budget for selling/buying the tokens.&#x20;

The following Strategy functions are available:

* [**createStrategy:**](/contracts-and-functions/carboncontroller-functions/write-functions/strategy-management/createstrategy.md) Use this to create a new strategy.
* [**updateStrategy:**](/contracts-and-functions/carboncontroller-functions/write-functions/strategy-management/updatestrategy.md) Use this to change an existing strategy.
* [**deleteStrategy:**](/contracts-and-functions/carboncontroller-functions/write-functions/strategy-management/deletestrategy.md) Use this to remove a strategy and receive the tokens inside it.&#x20;

{% hint style="success" %}
While all required data is available on chain, it is recommended to use the [Carbon DeFi SDK](/developer-guides/carbon-defi-sdk.md).
{% endhint %}

{% hint style="info" %}
Each token must be approved for use prior to creating a strategy. See [approve() / allowance()](/contracts-and-functions/carboncontroller-functions/write-functions/transaction-prerequisites/approve-allowance.md) for details.&#x20;
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.carbondefi.xyz/contracts-and-functions/carboncontroller-functions/write-functions/strategy-management.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
